BraseroBurn
3
BRASERO Library

# BraseroBurn

## Synopsis

                        BraseroBurn;
    BraseroBurn *       brasero_burn_new                    ();
    BraseroBurnResult   brasero_burn_record                 (BraseroBurn *burn,
                                                             BraseroBurnSession *session,
                                                             GError **error);
    BraseroBurnResult   brasero_burn_check                  (BraseroBurn *burn,
                                                             BraseroBurnSession *session,
                                                             GError **error);
    BraseroBurnResult   brasero_burn_blank                  (BraseroBurn *burn,
                                                             BraseroBurnSession *session,
                                                             GError **error);
    BraseroBurnResult   brasero_burn_cancel                 (BraseroBurn *burn,
                                                             gboolean protect);
    BraseroBurnResult   brasero_burn_status                 (BraseroBurn *burn,
                                                             BraseroMedia *info,
                                                             goffset *isosize,
                                                             goffset *written,
                                                             guint64 *rate);
    void                brasero_burn_get_action_string      (BraseroBurn *burn,
                                                             BraseroBurnAction action,
                                                             gchar **string);

## Description

## Details

### BraseroBurn

    typedef struct {
    	GObject parent;
    } BraseroBurn;

### brasero_burn_new ()

    BraseroBurn *       brasero_burn_new                    ();

Returns :

### brasero_burn_record ()

    BraseroBurnResult   brasero_burn_record                 (BraseroBurn *burn,
                                                             BraseroBurnSession *session,
                                                             GError **error);

`burn` :

`session` :

`error` :

Returns :

### brasero_burn_check ()

    BraseroBurnResult   brasero_burn_check                  (BraseroBurn *burn,
                                                             BraseroBurnSession *session,
                                                             GError **error);

`burn` :

`session` :

`error` :

Returns :

### brasero_burn_blank ()

    BraseroBurnResult   brasero_burn_blank                  (BraseroBurn *burn,
                                                             BraseroBurnSession *session,
                                                             GError **error);

`burn` :

`session` :

`error` :

Returns :

### brasero_burn_cancel ()

    BraseroBurnResult   brasero_burn_cancel                 (BraseroBurn *burn,
                                                             gboolean protect);

`burn` :

`protect` :

Returns :

### brasero_burn_status ()

    BraseroBurnResult   brasero_burn_status                 (BraseroBurn *burn,
                                                             BraseroMedia *info,
                                                             goffset *isosize,
                                                             goffset *written,
                                                             guint64 *rate);

`burn` :

`info` :

`isosize` :

`written` :

`rate` :

Returns :

### brasero_burn_get_action_string ()

    void                brasero_burn_get_action_string      (BraseroBurn *burn,
                                                             BraseroBurnAction action,
                                                             gchar **string);

`burn` :

`action` :

`string` :